<template>
  <section>
    <BeneficiaryHistoryComment
      v-for="comment in comments"
      :key="comment.id"
      class="fr-mb-1w"
      :comment="comment"
    />
    <BeneficiaryHistoryCommentAdd
      :class="{ 'fr-mt-1w': comments.length }"
      :history="history"
      @comment-added="$emit('commentAdded', $event)"
    />
  </section>
</template>

<script setup>
  defineProps({
    comments: { type: Array, required: true },
    history: { type: Object, required: true }
  })

  defineEmits(['commentAdded'])
</script>
